leafWeightCardinality(1,41,21).
leafWeightCardinality(2,29,5).
leafWeightCardinality(3,9,31).
leafWeightCardinality(4,77,6).
leafWeightCardinality(5,98,85).
leafWeightCardinality(6,61,54).
leafWeightCardinality(7,65,28).
leafWeightCardinality(8,77,54).
innerNode(1).
innerNode(2).
innerNode(3).
innerNode(4).
innerNode(5).
innerNode(6).
innerNode(7).
num(8).
max_total_weight(453).
